/* FILE NAME: status.h */
#include <stdio.h>
#include <stdlib.h>

#define RESUME 0
#define ABORT  1
#define ERROR_TEXT_SIZE 1025

#define CHECK_STATUS(input_status, comment, action) \
{ \
   if(input_status != RPC_S_OK) { \
      error_stat = FormatMessage( FORMAT_MESSAGE_FROM_SYSTEM \
				 ,NULL                       \
				 ,input_status               \
				 ,0                          \
				 ,error_string               \
				 ,ERROR_TEXT_SIZE            \
				 ,NULL);                     \
      fprintf(stderr, "%s %s\n", comment, error_string);     \
      if(action == ABORT) \
	 exit(1); \
   } \
}

static int            error_stat;
static unsigned char  error_string[ERROR_TEXT_SIZE];

